# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name blaze-textual

%global common_summary Fast rendering of common datatypes

%global common_description A library for efficiently rendering \
Haskell data types to bytestrings

Name:           ghc-%{pkg_name}
Version:        0.2.0.6
Release:        4%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-vector-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE
%doc README.markdown


%changelog
* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.2.0.6-4
- update with cabal-rpm
- haskell-platform-2012.4 vector should build on all archs
  so drop ghc_arches_with_ghci restriction

* Fri Nov  2 2012 Jens Petersen <petersen@redhat.com> - 0.2.0.6-3
- vector currently needs ghci

* Mon Sep 10 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.2.0.6-2
- Updated summary

* Wed Aug 22 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.2.0.6-1
- spec file template generated by cabal2spec-0.25.5
